using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
public partial class _Default : System.Web.UI.Page
{
    Products local_product = new Products();
    SubCategory local_SubCategory = new SubCategory();
    protected void Page_Load(object sender, EventArgs e)
    {
        //string subcategoryid = Request.QueryString["subcategory"];
        BindProductCategoryList();
    }

    private void BindProductCategoryList()
    {
        DataTable dt = new DataTable();
        try
        {
            dt = local_product.getAllProductCategoryList();
            if (dt.Rows.Count > 0)
            {
                rpProductCategory.DataSource = dt;
                rpProductCategory.DataBind();
            }
            else
            {
                lblMessage.Text = "<br/><br/><br/>There Is No Product Found.";
                lblMessage.Font.Size = 20;
            }
        }

        catch (Exception ex)
        {
            throw new Exception(ex.Message);
        }
    }
}